Create portfolio
curl --request POST \
--url https://api.itoflow.ai/portfolios \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"allocated_amount": "<string>",
"name": "<string>",
"description": "<string>",
"strategy_id": "<string>"
}
'import requests
url = "https://api.itoflow.ai/portfolios"
payload = {
"allocated_amount": "<string>",
"name": "<string>",
"description": "<string>",
"strategy_id": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
allocated_amount: '<string>',
name: '<string>',
description: '<string>',
strategy_id: '<string>'
})
};
fetch('https://api.itoflow.ai/portfolios', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"count": 123,
"id": "<string>",
"ok": true,
"portfolio_id": "<string>",
"status": "<string>",
"success": true,
"total_value_usd": "<string>",
"valuation_unavailable_reason": "<string>"
}{
"count": 123,
"id": "<string>",
"ok": true,
"portfolio_id": "<string>",
"status": "<string>",
"success": true,
"total_value_usd": "<string>",
"valuation_unavailable_reason": "<string>"
}{
"error": "<string>",
"available": "<string>",
"billing_action": {
"href": "<string>",
"kind": "upgrade",
"label": "<string>"
},
"code": "<string>",
"currentVersion": 123,
"details": "<unknown>",
"expectedVersion": 123,
"message": "<string>",
"requested": "<string>",
"usage": "<unknown>"
}{
"error": "<string>",
"available": "<string>",
"billing_action": {
"href": "<string>",
"kind": "upgrade",
"label": "<string>"
},
"code": "<string>",
"currentVersion": 123,
"details": "<unknown>",
"expectedVersion": 123,
"message": "<string>",
"requested": "<string>",
"usage": "<unknown>"
}{
"error": "<string>",
"available": "<string>",
"billing_action": {
"href": "<string>",
"kind": "upgrade",
"label": "<string>"
},
"code": "<string>",
"currentVersion": 123,
"details": "<unknown>",
"expectedVersion": 123,
"message": "<string>",
"requested": "<string>",
"usage": "<unknown>"
}{
"error": "<string>",
"available": "<string>",
"billing_action": {
"href": "<string>",
"kind": "upgrade",
"label": "<string>"
},
"code": "<string>",
"currentVersion": 123,
"details": "<unknown>",
"expectedVersion": 123,
"message": "<string>",
"requested": "<string>",
"usage": "<unknown>"
}Portfolios
Create portfolio
Operation ID: post__portfolios.
POST
https://api.itoflow.ai
/
portfolios
Create portfolio
curl --request POST \
--url https://api.itoflow.ai/portfolios \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"allocated_amount": "<string>",
"name": "<string>",
"description": "<string>",
"strategy_id": "<string>"
}
'import requests
url = "https://api.itoflow.ai/portfolios"
payload = {
"allocated_amount": "<string>",
"name": "<string>",
"description": "<string>",
"strategy_id": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
allocated_amount: '<string>',
name: '<string>',
description: '<string>',
strategy_id: '<string>'
})
};
fetch('https://api.itoflow.ai/portfolios', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"count": 123,
"id": "<string>",
"ok": true,
"portfolio_id": "<string>",
"status": "<string>",
"success": true,
"total_value_usd": "<string>",
"valuation_unavailable_reason": "<string>"
}{
"count": 123,
"id": "<string>",
"ok": true,
"portfolio_id": "<string>",
"status": "<string>",
"success": true,
"total_value_usd": "<string>",
"valuation_unavailable_reason": "<string>"
}{
"error": "<string>",
"available": "<string>",
"billing_action": {
"href": "<string>",
"kind": "upgrade",
"label": "<string>"
},
"code": "<string>",
"currentVersion": 123,
"details": "<unknown>",
"expectedVersion": 123,
"message": "<string>",
"requested": "<string>",
"usage": "<unknown>"
}{
"error": "<string>",
"available": "<string>",
"billing_action": {
"href": "<string>",
"kind": "upgrade",
"label": "<string>"
},
"code": "<string>",
"currentVersion": 123,
"details": "<unknown>",
"expectedVersion": 123,
"message": "<string>",
"requested": "<string>",
"usage": "<unknown>"
}{
"error": "<string>",
"available": "<string>",
"billing_action": {
"href": "<string>",
"kind": "upgrade",
"label": "<string>"
},
"code": "<string>",
"currentVersion": 123,
"details": "<unknown>",
"expectedVersion": 123,
"message": "<string>",
"requested": "<string>",
"usage": "<unknown>"
}{
"error": "<string>",
"available": "<string>",
"billing_action": {
"href": "<string>",
"kind": "upgrade",
"label": "<string>"
},
"code": "<string>",
"currentVersion": 123,
"details": "<unknown>",
"expectedVersion": 123,
"message": "<string>",
"requested": "<string>",
"usage": "<unknown>"
}Body
application/json